function CA(){   ////全选
var trk=0;
for (var i=0;i<frm.elements.length;i++)
{
var e = frm.elements[i];
if ((e.name != 'allbox') && (e.type=='checkbox'))
{
trk++;
e.checked = frm.allbox.checked;
}
}
}
function Subm()     ////// 确认删除与否以及有没有选择
{
num = numChecked(frm);
if (num>0)
{
	if (!confirm("您确认要变更这些记录吗？如果删除将不可恢复!变更可以恢复！"))
	{
		return false;
	}
	else
	{
		frm.submit();
		return true;
	}
}
else
	alert("您未选择任何记录。请单击您要选择的记录旁边的复选框。");
return false;
}

function numChecked()
{
j=0;
for(i=0;i< frm.length;i++)
{
e=frm.elements[i];
if (e.type=='checkbox' && e.name != 'allbox' && e.checked)
j++;
}
return j;
}

